package com.ekingwin.bas.cloud.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @program: rcworkspace
 * @description:
 * @author: zhangjie
 * @create: 2019-07-01 14:20
 **/
@Data
@ApiModel("订单数据")
public class IpOrderDto {

    @ApiModelProperty(value = "收货人", required = false)
    private  String  receiver;

    @ApiModelProperty(value = "手机号", required = false)
    private  String  mobile;

    @ApiModelProperty(value = "省份标识", required = false)
    private String province;

    @ApiModelProperty(value = "省份名称", required = false)
    private String provincename;

    @ApiModelProperty(value = "城市标识", required = false)
    private String city;

    @ApiModelProperty(value = "城市名称", required = false)
    private String cityname;

    @ApiModelProperty(value = "县标识", required = false)
    private String county;

    @ApiModelProperty(value = "县名称", required = false)
    private String countyname;

    @ApiModelProperty(value = "详细地址", required = false)
    private String detailedaddress;

    @ApiModelProperty(value = "开票状态 1：普票  2：增票", required = false)
    private String invoicetype;

    @ApiModelProperty(value = "开票方式名称", required = false)
    private String invoicetypename;

    @ApiModelProperty(value = "主题", required = false)
    private String ordername;

    @ApiModelProperty(value = "订单编号", required = false)
    private String ordernum;

    @ApiModelProperty(value = "订单ID", required = false)
    private Long orderId;

    @ApiModelProperty(value = "含税总价格", required = false)
    private String totalhsprice;

    @ApiModelProperty(value = "不含税总价格", required = false)
    private String totalbhsprice;

    @ApiModelProperty(value = "总收货运费", required = false)
    private String totalFregin;

    @ApiModelProperty(value = "项目名称", required = false)
    private  String projectName;

    @ApiModelProperty(value = "项目名称", required = false)
    private  String projectCode;

    @ApiModelProperty(value = "分期标识", required = false)
    private String stagesCode;

    @ApiModelProperty(value = "分期", required = false)
    private String stagesName;

    @ApiModelProperty(value = "成本负责人", required = false)
    private String costManage;

    @ApiModelProperty(value = "成本负责人工号", required = false)
    private String costManageCode;

    @ApiModelProperty(value = "备注", required = false)
    private String goodsotherrequire;

    @ApiModelProperty(value = "项目负责人",required = false)
    private String projectLeader;

    @ApiModelProperty(value = "项目负责人工号",required = false)
    private String projectLeaderCode;

    @ApiModelProperty(value = "监理工号",required = false)
    private String supervisorCode;

    @ApiModelProperty(value = "监理姓名",required = false)
    private String supervisorName;

    @ApiModelProperty(value = "收货人",required = false)
    private String receiverName;

    @ApiModelProperty(value = "收货人工号",required = false)
    private String receiverCode;

    @ApiModelProperty(value = "项目所属公司ID",required = false)
    private String deptid;

    @ApiModelProperty(value = "项目所属公司名称",required = false)
    private String deptname;

    @ApiModelProperty(value = "预计到货日期",required = false)
    private String documentdate;

    @ApiModelProperty(value = "订单类型",required = false)
    private String ordertype;

    @ApiModelProperty(value = "要求到货时间",required = false)
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date arrivalTime;

    @ApiModelProperty(value = "费用所属组织编码")
    private String purchaseorg;

    @ApiModelProperty(value = "费用所属组织名称")
    private String purchasegroup;

    @ApiModelProperty(value = "原价（含税）小计")
    private String rmbtotalhsprice;

    @ApiModelProperty(value = "原价（不含税）小计")
    private String rmbtotalbhsprice;
}
