package com.ekingwin.bas.cloud.util;

import io.swagger.annotations.ApiModel;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

/**
 * @program: rcworkspace
 * @description:
 * @author: zhangjie
 * @create: 2019-06-27 12:07
 **/
@ApiModel(value = "返回实体类")
public class Result extends HashMap<String, Object> {
    private static final long serialVersionUID = 1L;

    public Result() {
        put("code",200);
        put("msg", "操作成功");
        put("nowTime",DateUtils.format(new Date(),DateUtils.DATE_TIME_PATTERN));
    }

    public static Result error() {
        return error(500, "系统错误，请联系管理员");
    }

    public static Result error(String msg) {
        return error(500, msg);
    }

    public static Result error(int code, String msg) {
        Result r = new Result();
        r.put("code", code);
        r.put("msg", msg);
        return r;
    }

    public static Result ok(Map<String, Object> map) {
        Result r = new Result();
        r.put("data",map);
        return r;
    }

    public static Result ok() {
        return new Result();
    }

    public static Result ok(Object object) {
        Result r = new Result();
        r.put("data",object);
        return r;
    }

    @Override
    public Result put(String key, Object value) {
        super.put(key, value);
        return this;
    }
}
